Filtering by Dimensions

 

Only the Publisher Sample Sessions endpoints (video content or ad) support filtering data by dimensions.

Conviva-defined Dimensions

Not all dimensions are available for the account. Availability depends on which dimensions were selected during initial integration. Contact the account manager to access more dimensions.

Use the list of dimensions endpoint to look up the list of available filtering dimensions for the account. Specify filter parameters in the query string.

Format

Copy
GET /3.0/sessions/{content|ad}?{filter_dimension_name}={filter_dimension_value}

Example

Copy
GET /3.0/sessions/content?device_os=Android&is_exit_before_video_start=true

Note: Dimension values are case-sensitive.

Custom Dimension Tags

Filter by custom dimension tags specific to the account. Append the prefix tag_ to the tag name, and use that as the query parameter key.

Assuming that the account has a custom dimension tag called specialContentId. Filter by that dimension using tag_specialContentId as the query paramter key.

Example

Copy
GET /3.0/sessions/content?tag_specialContentId=1A2B3C4D5E

 

Conviva Sessions API Filtering by Dimensions Conviva Sessions API Filtering by Dimensions Conviva Sessions API Filtering by Dimensions